Filter::sh(3pm)

NAME
Filter::sh - sh source filter

SYNOPSIS
    use Filter::sh 'command' ;

DESCRIPTION
This filter pipes the current source file through the program which corresponds to the "command" parameter using the Bourne shell.

As with all source filters its scope is limited to the current source file only. Every file you want to be processed by the filter must have a

    use Filter::sh 'command' ;

near the top.

Here is an example script which uses the filter:

    use Filter::sh 'tr XYZ PQR' ;
    $a = 1 ;
    print "XYZ a = $a\n" ;

And here is what it will output:

    PQR = 1

WARNING
You should be very careful when using this filter. Because of the way the filter is implemented it is possible to end up with deadlock.

Be especially careful when stacking multiple instances of the filter in a single source file.

AUTHOR
Paul Marquess

DATE
11th December 1995.